Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.torque.sql
Class SqlBuilderOldCriteriaTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.apache.torque.BaseTestCase
                  org.apache.torque.sql.SqlBuilderOldCriteriaTest

All Implemented Interfaces:
  junit.framework.Test

    public class SqlBuilderOldCriteriaTest

extends BaseTestCase

Tests for SqlExpression

Version:
  $Id: SqlBuilderOldCriteriaTest.java 1448414 2013-02-20 21:06:35Z tfischer $
Author:
  Martin Poeschl, Scott Eade

Field Summary

Fields inherited from class org.apache.torque.BaseTestCase
`CONFIG_FILE, database, databaseMap, databaseMysql, databaseOracle, databasePostgresql, integerColumnMap, stringColumnMap, tableMap`

Constructor Summary
`SqlBuilderOldCriteriaTest()`

Method Summary
`void` | `testAlias()`
`void` | `testAliasWithDefaultSchema()`
`void` | `testAliasWithIgnoreCaseIntegerColumnType()`
`void` | `testAliasWithIgnoreCaseIntegerColumnTypeAndDefaultSchema()`
`void` | `testAliasWithIgnoreCaseStringColumnType()`
`void` | `testAliasWithIgnoreCaseStringColumnTypeAndDefaultSchema()`
`void` | `testAliasWithIgnoreCaseUnknownColumnType()`
`void` | `testAsColumn()`
`void` | `testAsColumnWithIgnoreCaseIntegerColumn()`
`void` | `testAsColumnWithIgnoreCaseIntegerColumnAndDefaultSchema()`
`void` | `testAsColumnWithIgnoreCaseStringColumn()`
`void` | `testAsColumnWithIgnoreCaseStringColumnAndDefaultSchema()`
`void` | `testAsColumnWithIgnoreCaseUnknownColumn()`
`void` | `testCriterionCriteria()`
`void` | `testCriterionCurrentDate()`
`void` | `testCriterionCurrentTime()`
`void` | `testCriterionCustom()`
`void` | `testCriterionIlike()`
`void` | `testCriterionInArray()`
`void` | `testCriterionInArrayIgnoreCase()`
`void` | `testCriterionInLargeArray()`
`void` | `testCriterionInList()`
`void` | `testCriterionInListIgnoreCase()`
`void` | `testCriterionInString()`
`void` | `testCriterionIsNotNull()`
`void` | `testCriterionIsNull()`
`void` | `testCriterionLike()`
`void` | `testCriterionLikeIgnoreCase()`
`void` | `testCriterionLikeIgnoreCaseNoWildcard()`
`void` | `testCriterionLikeInteger()`
`void` | `testCriterionLikeWithEscape()` Test whether LIKE clauses with Escapes are built correctly.
`void` | `testCriterionLikeWithEscapeOracle()` Test whether LIKE clauses with Escapes are built correctly in Oracle.
`void` | `testCriterionNotIlike()`
`void` | `testCriterionNotLike()`
`void` | `testCriterionNotLikeIgnoreCase()`
`void` | `testCriterionNotLikeIgnoreCaseNoWildcard()`
`void` | `testCriterionNullValue()`
`void` | `testCriterionNullValueAltNotEqual()`
`void` | `testCriterionNullValueNotEqual()`
`void` | `testCriterionObjectKey()`
`void` | `testDistinct()`
`void` | `testGroupBy()`
`void` | `testHaving()`
`void` | `testIgnoreCaseIntegerColumnType()`
`void` | `testIgnoreCaseStringColumnType()`
`void` | `testignoreCaseUnknownColumnType()` Test that unknown columns are treated case-insensitive if ignoreCase is set.
`void` | `testInnerJoinExcplicitWithExistingRightAndLeftTable()`
`void` | `testInnerJoinExplicit()`
`void` | `testInnerJoinImplicit()`
`void` | `testInnerJoinImplicitWithAlias()`
`void` | `testInnerJoinImplicitWithAliasAndAsColumn()`
`void` | `testInnerJoinImplicitWithAliasAndDefaultSchema()`
`void` | `testInnerJoinImplicitWithAliasAndSchema()`
`void` | `testInnerJoinImplicitWithDefaultSchema()`
`void` | `testInnerJoinWithExcplicitExistingRightTable()`
`void` | `testLeftJoin()`
`void` | `testLeftJoinWithExistingRightTable()`
`void` | `testLimitMysql()`
`void` | `testLimitOffsetMysql()`
`void` | `testLimitOffsetPostgresql()`
`void` | `testLimitPostgresql()`
`void` | `testOffsetMysql()`
`void` | `testOffsetPostgresql()`
`void` | `testOrderByAsc()`
`void` | `testOrderByAscendingIgnoreCaseInteger()`
`void` | `testOrderByAscendingIgnoreCaseIntegerInCriteria()`
`void` | `testOrderByAscendingIgnoreCaseString()`
`void` | `testOrderByAscendingIgnoreCaseStringInCriteria()`
`void` | `testOrderByDesc()`
`void` | `testOrderByDescendingIgnoreCaseInteger()`
`void` | `testOrderByDescendingIgnoreCaseIntegerInCriteria()`
`void` | `testOrderByDescendingIgnoreCaseString()`
`void` | `testOrderByDescendingIgnoreCaseStringInCriteria()`
`void` | `testOrderByMultiple()`
`void` | `testOrderByNullColumn()`
`void` | `testOrderByWithDefaultSchema()`
`void` | `testRightJoin()`
`void` | `testRightJoinWithExistingRightTable()`
`void` | `testSelectColumnWithoutTable()`

Methods inherited from class org.apache.torque.BaseTestCase
`setUp`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SqlBuilderOldCriteriaTest

    public SqlBuilderOldCriteriaTest()

Method Detail

### testignoreCaseUnknownColumnType

    public void testignoreCaseUnknownColumnType()
                                         throws Exception

  Test that unknown columns are treated case-insensitive if ignoreCase is set.

  Throws:
    `Exception`

### testIgnoreCaseStringColumnType

    public void testIgnoreCaseStringColumnType()
                                        throws Exception

  Throws:
    `Exception`

### testIgnoreCaseIntegerColumnType

    public void testIgnoreCaseIntegerColumnType()
                                         throws Exception

  Throws:
    `Exception`

### testOrderByDesc

    public void testOrderByDesc()
                         throws org.apache.torque.TorqueException

  Throws:
    `org.apache.torque.TorqueException`

### testOrderByAsc

    public void testOrderByAsc()
                        throws Exception

  Throws:
    `Exception`

### testOrderByNullColumn

    public void testOrderByNullColumn()
                               throws Exception

  Throws:
    `Exception`

### testOrderByMultiple

    public void testOrderByMultiple()
                             throws Exception

  Throws:
    `Exception`

### testOrderByWithDefaultSchema

    public void testOrderByWithDefaultSchema()
                                      throws Exception

  Throws:
    `Exception`

### testOrderByAscendingIgnoreCaseString

    public void testOrderByAscendingIgnoreCaseString()
                                              throws Exception

  Throws:
    `Exception`

### testOrderByAscendingIgnoreCaseInteger

    public void testOrderByAscendingIgnoreCaseInteger()
                                               throws Exception

  Throws:
    `Exception`

### testOrderByAscendingIgnoreCaseStringInCriteria

    public void testOrderByAscendingIgnoreCaseStringInCriteria()
                                                        throws Exception

  Throws:
    `Exception`

### testOrderByAscendingIgnoreCaseIntegerInCriteria

    public void testOrderByAscendingIgnoreCaseIntegerInCriteria()
                                                         throws Exception

  Throws:
    `Exception`

### testOrderByDescendingIgnoreCaseString

    public void testOrderByDescendingIgnoreCaseString()
                                               throws Exception

  Throws:
    `Exception`

### testOrderByDescendingIgnoreCaseInteger

    public void testOrderByDescendingIgnoreCaseInteger()
                                                throws Exception

  Throws:
    `Exception`

### testOrderByDescendingIgnoreCaseStringInCriteria

    public void testOrderByDescendingIgnoreCaseStringInCriteria()
                                                         throws Exception

  Throws:
    `Exception`

### testOrderByDescendingIgnoreCaseIntegerInCriteria

    public void testOrderByDescendingIgnoreCaseIntegerInCriteria()
                                                          throws Exception

  Throws:
    `Exception`

### testAlias

    public void testAlias()
                   throws Exception

  Throws:
    `Exception`

### testAliasWithDefaultSchema

    public void testAliasWithDefaultSchema()
                                    throws Exception

  Throws:
    `Exception`

### testAliasWithIgnoreCaseUnknownColumnType

    public void testAliasWithIgnoreCaseUnknownColumnType()
                                                  throws Exception

  Throws:
    `Exception`

### testAliasWithIgnoreCaseStringColumnType

    public void testAliasWithIgnoreCaseStringColumnType()
                                                 throws Exception

  Throws:
    `Exception`

### testAliasWithIgnoreCaseIntegerColumnType

    public void testAliasWithIgnoreCaseIntegerColumnType()
                                                  throws Exception

  Throws:
    `Exception`

### testAliasWithIgnoreCaseStringColumnTypeAndDefaultSchema

    public void testAliasWithIgnoreCaseStringColumnTypeAndDefaultSchema()
                                                                 throws Exception

  Throws:
    `Exception`

### testAliasWithIgnoreCaseIntegerColumnTypeAndDefaultSchema

    public void testAliasWithIgnoreCaseIntegerColumnTypeAndDefaultSchema()
                                                                  throws Exception

  Throws:
    `Exception`

### testAsColumn

    public void testAsColumn()
                      throws Exception

  Throws:
    `Exception`

### testAsColumnWithIgnoreCaseUnknownColumn

    public void testAsColumnWithIgnoreCaseUnknownColumn()
                                                 throws Exception

  Throws:
    `Exception`

### testAsColumnWithIgnoreCaseStringColumn

    public void testAsColumnWithIgnoreCaseStringColumn()
                                                throws Exception

  Throws:
    `Exception`

### testAsColumnWithIgnoreCaseIntegerColumn

    public void testAsColumnWithIgnoreCaseIntegerColumn()
                                                 throws Exception

  Throws:
    `Exception`

### testAsColumnWithIgnoreCaseStringColumnAndDefaultSchema

    public void testAsColumnWithIgnoreCaseStringColumnAndDefaultSchema()
                                                                throws Exception

  Throws:
    `Exception`

### testAsColumnWithIgnoreCaseIntegerColumnAndDefaultSchema

    public void testAsColumnWithIgnoreCaseIntegerColumnAndDefaultSchema()
                                                                 throws Exception

  Throws:
    `Exception`

### testInnerJoinImplicit

    public void testInnerJoinImplicit()
                               throws Exception

  Throws:
    `Exception`

### testInnerJoinExplicit

    public void testInnerJoinExplicit()
                               throws Exception

  Throws:
    `Exception`

### testInnerJoinWithExcplicitExistingRightTable

    public void testInnerJoinWithExcplicitExistingRightTable()
                                                      throws Exception

  Throws:
    `Exception`

### testInnerJoinExcplicitWithExistingRightAndLeftTable

    public void testInnerJoinExcplicitWithExistingRightAndLeftTable()
                                                             throws Exception

  Throws:
    `Exception`

### testLeftJoin

    public void testLeftJoin()
                      throws Exception

  Throws:
    `Exception`

### testLeftJoinWithExistingRightTable

    public void testLeftJoinWithExistingRightTable()
                                            throws Exception

  Throws:
    `Exception`

### testRightJoin

    public void testRightJoin()
                       throws Exception

  Throws:
    `Exception`

### testRightJoinWithExistingRightTable

    public void testRightJoinWithExistingRightTable()
                                             throws Exception

  Throws:
    `Exception`

### testInnerJoinImplicitWithAlias

    public void testInnerJoinImplicitWithAlias()
                                        throws Exception

  Throws:
    `Exception`

### testInnerJoinImplicitWithAliasAndAsColumn

    public void testInnerJoinImplicitWithAliasAndAsColumn()
                                                   throws Exception

  Throws:
    `Exception`

### testInnerJoinImplicitWithDefaultSchema

    public void testInnerJoinImplicitWithDefaultSchema()
                                                throws Exception

  Throws:
    `Exception`

### testInnerJoinImplicitWithAliasAndDefaultSchema

    public void testInnerJoinImplicitWithAliasAndDefaultSchema()
                                                        throws Exception

  Throws:
    `Exception`

### testInnerJoinImplicitWithAliasAndSchema

    public void testInnerJoinImplicitWithAliasAndSchema()
                                                 throws Exception

  Throws:
    `Exception`

### testDistinct

    public void testDistinct()
                      throws Exception

  Throws:
    `Exception`

### testGroupBy

    public void testGroupBy()
                     throws Exception

  Throws:
    `Exception`

### testLimitPostgresql

    public void testLimitPostgresql()
                             throws Exception

  Throws:
    `Exception`

### testOffsetPostgresql

    public void testOffsetPostgresql()
                              throws Exception

  Throws:
    `Exception`

### testLimitOffsetPostgresql

    public void testLimitOffsetPostgresql()
                                   throws Exception

  Throws:
    `Exception`

### testLimitMysql

    public void testLimitMysql()
                        throws Exception

  Throws:
    `Exception`

### testOffsetMysql

    public void testOffsetMysql()
                         throws Exception

  Throws:
    `Exception`

### testLimitOffsetMysql

    public void testLimitOffsetMysql()
                              throws Exception

  Throws:
    `Exception`

### testHaving

    public void testHaving()
                    throws Exception

  Throws:
    `Exception`

### testSelectColumnWithoutTable

    public void testSelectColumnWithoutTable()
                                      throws Exception

  Throws:
    `Exception`

### testCriterionCustom

    public void testCriterionCustom()
                             throws Exception

  Throws:
    `Exception`

### testCriterionCurrentDate

    public void testCriterionCurrentDate()
                                  throws Exception

  Throws:
    `Exception`

### testCriterionCurrentTime

    public void testCriterionCurrentTime()
                                  throws Exception

  Throws:
    `Exception`

### testCriterionObjectKey

    public void testCriterionObjectKey()
                                throws Exception

  Throws:
    `Exception`

### testCriterionNullValue

    public void testCriterionNullValue()
                                throws Exception

  Throws:
    `Exception`

### testCriterionNullValueNotEqual

    public void testCriterionNullValueNotEqual()
                                        throws Exception

  Throws:
    `Exception`

### testCriterionNullValueAltNotEqual

    public void testCriterionNullValueAltNotEqual()
                                           throws Exception

  Throws:
    `Exception`

### testCriterionIsNull

    public void testCriterionIsNull()
                             throws Exception

  Throws:
    `Exception`

### testCriterionIsNotNull

    public void testCriterionIsNotNull()
                                throws Exception

  Throws:
    `Exception`

### testCriterionCriteria

    public void testCriterionCriteria()
                               throws Exception

  Throws:
    `Exception`

### testCriterionLike

    public void testCriterionLike()
                           throws Exception

  Throws:
    `Exception`

### testCriterionLikeWithEscape

    public void testCriterionLikeWithEscape()
                                     throws org.apache.torque.TorqueException

  Test whether LIKE clauses with Escapes are built correctly.

  Throws:
    `org.apache.torque.TorqueException`

### testCriterionLikeWithEscapeOracle

    public void testCriterionLikeWithEscapeOracle()
                                           throws org.apache.torque.TorqueException

  Test whether LIKE clauses with Escapes are built correctly in Oracle. Oracle needs to have an ESCAPE clause

  Throws:
    `org.apache.torque.TorqueException`

### testCriterionLikeIgnoreCase

    public void testCriterionLikeIgnoreCase()
                                     throws Exception

  Throws:
    `Exception`

### testCriterionLikeIgnoreCaseNoWildcard

    public void testCriterionLikeIgnoreCaseNoWildcard()
                                               throws Exception

  Throws:
    `Exception`

### testCriterionLikeInteger

    public void testCriterionLikeInteger()
                                  throws org.apache.torque.TorqueException

  Throws:
    `org.apache.torque.TorqueException`

### testCriterionNotLike

    public void testCriterionNotLike()
                              throws Exception

  Throws:
    `Exception`

### testCriterionNotLikeIgnoreCase

    public void testCriterionNotLikeIgnoreCase()
                                        throws Exception

  Throws:
    `Exception`

### testCriterionNotLikeIgnoreCaseNoWildcard

    public void testCriterionNotLikeIgnoreCaseNoWildcard()
                                                  throws Exception

  Throws:
    `Exception`

### testCriterionIlike

    public void testCriterionIlike()
                            throws Exception

  Throws:
    `Exception`

### testCriterionNotIlike

    public void testCriterionNotIlike()
                               throws Exception

  Throws:
    `Exception`

### testCriterionInArray

    public void testCriterionInArray()
                              throws Exception

  Throws:
    `Exception`

### testCriterionInArrayIgnoreCase

    public void testCriterionInArrayIgnoreCase()
                                        throws Exception

  Throws:
    `Exception`

### testCriterionInList

    public void testCriterionInList()
                             throws Exception

  Throws:
    `Exception`

### testCriterionInListIgnoreCase

    public void testCriterionInListIgnoreCase()
                                       throws Exception

  Throws:
    `Exception`

### testCriterionInLargeArray

    public void testCriterionInLargeArray()
                                   throws org.apache.torque.TorqueException

  Throws:
    `org.apache.torque.TorqueException`

### testCriterionInString

    public void testCriterionInString()
                               throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 The Apache Software Foundation. All Rights Reserved.